##### basic_serial_port::basic_serial_port (4 of 9 overloads)

Construct and open a `basic_serial_port`.

    template<
        typename ExecutionContext>
    basic_serial_port(
        ExecutionContext & context,
        const char * device,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates and opens a serial port for the specified device name.

###### Parameters

context

  An execution context which provides the I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.

device

  The platform-specific device name for this serial port.